# Created by pyp2rpm-3.3.4
%global pypi_name unittest-mixins

Name:           python-%{pypi_name}
Version:        1.6
Release:        1%{?dist}
Summary:        Helpful mixins for unittest classes

License:        ASL 2.0
URL:            https://github.com/nedbat/unittest-mixins
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.4

%description
A set of mixin classes and other helpers for unittest test case classes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A set of mixin classes and other helpers for unittest test case classes.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/unittest_mixins
%{python3_sitelib}/unittest_mixins-%{version}-py%{python3_version}.egg-info

%changelog
* Fri May 08 2020 Dan Radez <dradez@redhat.com> - 1.6-1
- Initial package.
